#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include "Fl_Loop.cpp"

static Fl_Loop *lp;
static const double timeout_val = 0.0015;

static void callback(Fl_Widget *)
{
  double val = lp->value() + 0.001;
  if (val > 1.0) { val = 0.0; }
  lp->value(val);
  lp->parent()->redraw();
  Fl::repeat_timeout(timeout_val, (Fl_Timeout_Handler)callback);
}

int main(void)
{
  Fl_Double_Window *win = new Fl_Double_Window(320, 50, "Example");
  {
    lp = new Fl_Loop(10, 10, 300, 30);
    //lp->label("Your label here ...");
  }
  win->end();
  win->resizable(lp);
  win->show();

  Fl::add_timeout(timeout_val, (Fl_Timeout_Handler)callback);

  return Fl::run();
}

